globus_xio_tcp_driver_errors(3)

NAME
globus_xio_tcp_driver_errors - Error Types

 - Error Types.

SYNOPSIS

  Enumerations

enum globus_xio_tcp_error_type_t { GLOBUS_XIO_TCP_ERROR_NO_ADDRS }

Detailed Description

Error Types.

The TCP driver is very close to the system code, so most errors reported by it are converted from the system errno. A few of the exceptions are GLOBUS_XIO_ERROR_EOF, GLOBUS_XIO_ERROR_COMMAND, GLOBUS_XIO_ERROR_CONTACT_STRING, GLOBUS_XIO_ERROR_CANCELED, and GLOBUS_XIO_TCP_ERROR_NO_ADDRS

See also
    globus_xio_driver_error_match()

    globus_error_errno_match()

Enumeration Type Documentation

  enum globus_xio_tcp_error_type_t
TCP driver specific error types

Enumerator

GLOBUS_XIO_TCP_ERROR_NO_ADDRS
    Indicates that no IPv4/6 compatible sockets could be resolved for the specified hostname

Author

Generated automatically by Doxygen for globus_xio from the source code.